## heat 2014.2

=== debian/control ===
Source: heat
Section: web
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Loic Dachary (OuoU) <loic@debian.org>,
 Julien Danjou <acid@debian.org>,
 Thomas Goirand <zigo@debian.org>,
 Ghe Rivero <ghe.rivero@stackops.com>,
 Mehdi Abaakouk <sileht@sileht.net>
Build-Depends:
 debhelper (>= 9),
 python-all (>= 2.6.6-3~),
 python-pbr (>= 0.6),
Build-Depends-Indep:
 python-alembic,
 python-babel (>= 1.3),
 python-boto (>= 2.4),
 python-ceilometerclient (>= 1.0.6),
 python-cinderclient (>= 1:1.0.7),
 python-coverage (>= 3.6),
 python-crypto (>= 2.6),
 python-eventlet (>= 0.13.0),
 python-extras,
 python-glanceclient (>= 1:0.14.0),
 python-greenlet (>= 0.3.2),
 python-hacking (>= 0.8.0),
 python-heatclient (>= 0.2.9),
 python-httplib2 (>= 0.7.5),
 python-iso8601 (>= 0.1.9),
 python-keystoneclient (>= 1:0.10.0),
 python-keystonemiddleware (>= 1.0.0),
 python-kombu (>=2.4.8),
 python-lockfile (>= 0.8),
 python-lxml (>= 2.3),
 python-memcache,
 python-migrate (>= 0.9.1),
 python-mock (>= 1.0),
 python-mox (>= 0.5.3),
 python-mysqldb,
 python-netaddr (>= 0.7.12),
 python-neutronclient (>= 1:2.3.6),
 python-novaclient (>= 1:2.18.0),
 python-oslo.config (>= 1:1.4.0),
 python-oslo.db (>= 1.0.0),
 python-oslo.i18n (>= 1.0.0),
 python-oslo.messaging (>= 1.4.0),
 python-oslo.utils (>= 1.0.0),
 python-oslosphinx (>= 2.2.0),
 python-oslotest (>= 1:1.1.0),
 python-posix-ipc,
 python-paramiko,
 python-paste,
 python-pastedeploy (>= 1.5.0),
 python-psycopg2,
 python-requests (>= 1.2.1),
 python-routes (>= 1.12.3),
 python-saharaclient (>= 0.7.3),
 python-setuptools,
 python-stevedore (>= 1.0.0),
 python-six (>= 1.7.0),
 python-sphinx (>= 1.1.2),
 python-sqlalchemy (>= 0.8.4),
 python-swiftclient (>= 2.2.0),
 python-testrepository (>= 0.0.18),
 python-testscenarios (>= 0.4),
 python-testtools (>= 0.9.34),
 python-troveclient (>= 1:1.0.4),
 python-webob (>= 1.2.3),
 python-yaml (>= 3.1.0),
 subunit,
 testrepository (>= 0.0.18),
Standards-Version: 3.9.4
Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/heat/juno/files
Vcs-Bzr: https://code.launchpad.net/~ubuntu-server-dev/heat/juno
Homepage: http://wiki.openstack.org/Heat
XS-Testsuite: autopkgtest

Package: python-heat
Section: python
Architecture: all
Depends:
 python-alembic,
 python-babel (>= 1.3),
 python-boto (>= 2.4),
 python-ceilometerclient (>= 1.0.6),
 python-cinderclient (>= 1:1.0.7),
 python-coverage (>= 3.6),
 python-crypto (>= 2.6),
 python-eventlet (>= 0.13.0),
 python-extras,
 python-glanceclient (>= 1:0.14.0),
 python-greenlet (>= 0.3.2),
 python-httplib2 (>= 0.7.5),
 python-iso8601 (>= 0.1.9),
 python-hacking (>= 0.8.0),
 python-heatclient (>= 0.2.9),
 python-keystoneclient (>= 1:0.10.0),
 python-keystonemiddleware (>= 1.0.0),
 python-kombu (>=2.4.8),
 python-lockfile (>= 0.8),
 python-lxml (>= 2.3),
 python-memcache,
 python-migrate (>= 0.9.1),
 python-mysqldb,
 python-netaddr (>= 0.7.12),
 python-neutronclient (>= 1:2.3.6),
 python-novaclient (>= 1:2.18.0),
 python-oslo.config (>= 1:1.4.0),
 python-oslo.db (>= 1.0.0),
 python-oslo.i18n (>= 1.0.0),
 python-oslo.messaging (>= 1.4.0),
 python-oslo.utils (>= 1.0.0),
 python-oslosphinx (>= 2.2.0),
 python-paste,
 python-pastedeploy (>= 1.5.0),
 python-pbr (>= 0.6),
 python-posix-ipc,
 python-psycopg2,
 python-requests (>= 1.2.1),
 python-routes (>= 1.12.3),
 python-saharaclient (>= 0.7.3),
 python-setuptools,
 python-six (>= 1.7.0),
 python-sphinx (>= 1.1.2),
 python-sqlalchemy (>= 0.8.4),
 python-stevedore (>= 1.0.0),
 python-swiftclient (>= 2.2.0),
 python-troveclient (>= 1:1.0.4),
 python-webob (>= 1.2.3),
 python-yaml (>= 3.1.0),
 ${misc:Depends},
 ${python:Depends}
Description: OpenStack orchestration service - Python files
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the Python libraries.

Package: heat-common
Architecture: all
Depends:
 adduser,
 python-heat (=${binary:Version}),
 ${misc:Depends},
 ${python:Depends}
Description: OpenStack orchestration service - common files
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the common files.

Package: heat-engine
Architecture: all
Depends:
 adduser,
 heat-common (=${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python:Depends}
Description: OpenStack orchestration service - engine
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the heat engine, which is the core service of heat, and
 which the API servers will use.

Package: heat-api
Architecture: all
Depends:
 adduser,
 heat-common (=${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python:Depends}
Description: OpenStack orchestration service - ReST API
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the ReST API.

Package: heat-api-cfn
Architecture: all
Depends:
 adduser,
 heat-common (=${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python:Depends}
Description: OpenStack orchestration service - CFN API
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the CloudFormation (CFN) API.

Package: heat-api-cloudwatch
Architecture: all
Depends:
 adduser,
 heat-common (=${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python:Depends}
Description: OpenStack orchestration service - CloudWatch API
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the CloudWatch API.
