## heat 2014.2.3

=== debian/changelog ===
heat (2014.2.3-0ubuntu1) utopic; urgency=medium

  * Resynchronize with stable/juno (a314229) (LP: #1443429)
   - [a052b06] Change the engine-listener topic
   - [9f02b3a] Just to delete the stack when adopt rollback
   - [691a06a] Release stack lock when successfully acquire
   - [d6770de] Add dependency on Router External Gateway property
   - [1339ac2] Use only FIP dependencies from graph
   - [9516cbe] Add dependency hidden on router_interface
   - [3ee82a3] Update heat.conf.sample
   - [7d4e570] Use properties.data when testing for "provided by the user"
   - [f6dfcc2] Fix update on failed stack
   - [848c59b] Catch notfound exception when deleting project
   - [e63549f] Enable https for keystone while creating stack user
   - [3ea6c6a] Stop patching oslo.messaging private bits
   - [a194a88] Don't mock oslo.messaging _CallContext
   - [42b032f] Ensure all Neutron LoadBalancer members are delete 
  * debian/patches/fix-requirements.patch: Rediffed.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 21 Apr 2015 09:35:20 -0400

heat (2014.2.2-0ubuntu1) utopic; urgency=medium

  [ Corey Bryant ]
  * Resynchronize with stable/juno (423ee27) (LP: #1418695):
    - [b52c916] Convert bool/int values into string for string properties
    - [65294f4] Check that template format plugins are registered
    - [94dec9e] Disable nested validation for ResourceGroup with zero count
    - [c5346cd] Remove mocking of timeutils.utcnow
    - [d8abdfd] Always update nested stacks
    - [edf0198] ResourceGroup allow update of resource_def
    - [aabd3d8] Add Dimensions Default in AWS_CloudWatch_Alarm.yaml
    - [bbf7182] Fix error msg invalid stack or res name
    - [423ee27] Use kwargs for ResourcePropertyConflict exception
  * d/p/fix-requirements.patch: Rebased.
  * d/control: Bump minimum python-eventlet to get socket_timeout support.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 09 Feb 2015 15:12:41 -0500

heat (2014.2.1-0ubuntu2) utopic; urgency=medium

  * d/control: Add python-oslo.serialization to python-heat depends. Needed for
    heat-engine (LP: #1398952).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 11 Dec 2014 17:30:04 -0500

heat (2014.2.1-0ubuntu1) utopic; urgency=medium

  [ Corey Bryant ]
  * Resynchronize with stable/juno (a27d371) (LP: #1398952):
    - [9f30872] Remove check_uptodate.sh check from tox.ini
    - [808b5c7] Make ResourceGroup updates update nested stacks
    - [6958217] ResourceGroup don't special-case zero count
    - [6f5dfaa] SoftwareDeployments make servers property updateable
    - [dc1b99d] Use environment file in template-validate
    - [7acee56] StackResource consider files in implementation_signature
    - [5664854] Move implementation_signature to StackResource
    - [0401e75] Correctly set CombinationAlarm repeat_actions
    - [4b721a4] Use properties in ceilometer alarm not parsed_template('Properties')
    - [b3db67b] Make sure that property defaults are converted correctly
    - [1d6dc24] RandomString don't skip superclass validation
    - [9f2d209] unconfigured clients look in the [clients] section for defaults
    - [699cc62] Update sample conf for new oslo.db release
    - [a76ba37] Mark stack_domain_admin_password as a secret option
    - [e6c1292] Inherit roles for create_trust_context()
    - [c9d671c] Always using domain id to create domain project or user
    - [16215dd] Add CERT file support in heat-keystone-setup-domain
    - [79e2300] Fix add_dependencies for floating_ip resource
    - [840cedd] Correct CA cert argument for glanceclient
    - [3f7d4bb] Tolerate null on Json db load
    - [a27d371] Don't stop update immediately on error
  * d/control: Add python-oslo.serialization to Build-Depends-Indep.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 08 Dec 2014 13:04:40 -0500
