=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
  python-cinderclient (>= 1:1.0.7),
  python-coverage (>= 3.6),
  python-crypto (>= 2.6),
- python-eventlet (>= 0.13.0),
+ python-eventlet (>= 0.13.0-1ubuntu3.1~),
  python-extras,
  python-glanceclient (>= 1:0.14.0),
  python-greenlet (>= 0.3.2),
@@ -46,6 +46,7 @@
  python-oslo.db (>= 1.0.0),
  python-oslo.i18n (>= 1.0.0),
  python-oslo.messaging (>= 1.4.0),
+ python-oslo.serialization (>= 1.0.0),
  python-oslo.utils (>= 1.0.0),
  python-oslosphinx (>= 2.2.0),
  python-oslotest (>= 1:1.1.0),
@@ -88,7 +89,7 @@
  python-cinderclient (>= 1:1.0.7),
  python-coverage (>= 3.6),
  python-crypto (>= 2.6),
- python-eventlet (>= 0.13.0),
+ python-eventlet (>= 0.13.0-1ubuntu3.1~),
  python-extras,
  python-glanceclient (>= 1:0.14.0),
  python-greenlet (>= 0.3.2),
@@ -111,6 +112,7 @@
  python-oslo.db (>= 1.0.0),
  python-oslo.i18n (>= 1.0.0),
  python-oslo.messaging (>= 1.4.0),
+ python-oslo.serialization (>= 1.0.0),
  python-oslo.utils (>= 1.0.0),
  python-oslosphinx (>= 2.2.0),
  python-paste,
