## heat 2014.2.4

=== debian/changelog ===
heat (2014.2.4-0ubuntu1~cloud1) trusty-juno; urgency=medium

  * d/rules: Prevent dh_python2 from guessing dependencies.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 23 Nov 2015 16:51:38 -0500

heat (2014.2.4-0ubuntu1~cloud0) trusty-juno; urgency=medium

  * Resynchronize with stable/juno (e0e0165) (LP: #1518323):
    - [ef1c9e9] Expose stack_user_project_id in stack-show
    - [b2c2677] Always fetch temp URL key before generation
    - [c5555a4] Validate nova server's metadata
    - [2fb32b1] Make sure template resource's metadata is refreshed
    - [e62752f] Update template paths for environment-mapped TemplateResources
    - [788b2e3] stack delete fails when instance is soft deleted
    - [b0b1c4d] Don't re-bind environment for get_file during stack update
    - [2a6e291] Save updated-in-place resources to backup stack
    - [9ee5d62] Only write to template files if template data changes
    - [7e8fc3a] Make ResourceDefinition round-trip stable to avoid extra writes
    - [e182a57] ASG scaling account for cooldown timestamp & in-progress
    - [815065d] Fix stack-list after failed update
    - [fe53333] Prevent hanging in DELETE_IN_PROGRESS
    - [3a3b74a] Make sure to delete stack when SNAPSHOT_IN_PROGRESS
    - [31a7c63] Fix TypeError exception during cancel stack update
    - [46bef7a] Catch v3 keystone unauthorized error when creating stack
    - [70fb2e8] Fix the topic and server that the listener client uses
    - [6f65320] Add oslo.serialization to heat requirements
    - [fbc370a] Fix block_device_mapping property validation when using get_attr
    - [d011ce8] Add default_client_name in Nova::FloatingIPAssoc
    - [140d66e] Fix cloud-init Python syntax for Python < 2.6
    - [6a117f3] Add env storing for loaded environments
    - [40bfa60] Allow lists and strings for Json parameters via provider resources
    - [85edaa4] Authenticate the domain user with id instead of username
    - [46fb19b] Tell stevedore not to force verify requirements
    - [d4a27d2] RandomString physical_resource_id as id not the string
    - [e0e0165] Detect container failure when checking create complete
  * d/p/fix-requirements.patch: Rebase and revert python-oslo.i18n and
    python-oslo.utils to >= 1.0.0.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 20 Nov 2015 14:08:23 -0500
