=== debian/rules ===
--- 
+++ 
@@ -24,6 +24,9 @@
 	rm -rf pbr*.egg
 	rm -f etc/heat/heat.conf
 
+override_dh_python2:
+	dh_python2 --no-guessing-deps
+
 override_dh_install:
 	cp etc/heat/heat.conf.sample etc/heat/heat.conf
 	dh_install
