## heat 2015.1~rc1

=== debian/control ===
--- 
+++ 
@@ -10,71 +10,80 @@
  Ghe Rivero <ghe.rivero@stackops.com>,
  Mehdi Abaakouk <sileht@sileht.net>
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 9~),
+ dh-systemd,
+ openstack-pkg-tools (>= 21ubuntu5~),
  python-all (>= 2.6.6-3~),
- python-pbr (>= 0.6),
+ python-pbr (>= 0.6)
 Build-Depends-Indep:
  python-alembic,
  python-babel (>= 1.3),
  python-boto (>= 2.4),
- python-ceilometerclient (>= 1.0.6),
- python-cinderclient (>= 1:1.0.7),
+ python-ceilometerclient (>= 1.0.13),
+ python-cinderclient (>= 1:1.1.0),
  python-coverage (>= 3.6),
  python-crypto (>= 2.6),
- python-eventlet (>= 0.13.0-1ubuntu3.1~),
+ python-eventlet (>= 0.16.1),
  python-extras,
- python-glanceclient (>= 1:0.14.0),
+ python-glanceclient (>= 1:0.15.0),
  python-greenlet (>= 0.3.2),
- python-hacking (>= 0.8.0),
- python-heatclient (>= 0.2.9),
+ python-hacking (>= 0.9.4),
+ python-heatclient (>= 0.3.0),
  python-httplib2 (>= 0.7.5),
  python-iso8601 (>= 0.1.9),
- python-keystoneclient (>= 1:0.10.0),
- python-keystonemiddleware (>= 1.0.0),
- python-kombu (>=2.4.8),
+ python-keystoneclient (>= 1:1.1.0),
+ python-keystonemiddleware (>= 1.5.0),
+ python-kombu (>=2.5.0),
  python-lockfile (>= 0.8),
  python-lxml (>= 2.3),
  python-memcache,
- python-migrate (>= 0.9.1),
+ python-migrate (>= 0.9.5),
  python-mock (>= 1.0),
  python-mox (>= 0.5.3),
  python-mysqldb,
  python-netaddr (>= 0.7.12),
- python-neutronclient (>= 1:2.3.6),
+ python-neutronclient (>= 1:2.3.11),
  python-novaclient (>= 1:2.18.0),
- python-oslo.config (>= 1:1.4.0),
- python-oslo.db (>= 1.0.0),
- python-oslo.i18n (>= 1.0.0),
- python-oslo.messaging (>= 1.4.0),
- python-oslo.serialization (>= 1.0.0),
- python-oslo.utils (>= 1.0.0),
+ python-oslo-config (>= 1:1.9.0),
+ python-oslo-context (>= 0.2.0),
+ python-oslo-concurrency (>= 1.1.0),
+ python-oslo-db (>= 1.5.0),
+ python-oslo-i18n (>= 1.5.0),
+ python-oslo-log (>= 1.0.0),
+ python-oslo-messaging (>= 1.8.0),
+ python-oslo-middleware (>= 1.0.0),
+ python-oslo-serialization (>= 1.4.0),
+ python-oslo-utils (>= 1.4.0),
+ python-oslo-versionedobjects (>= 0.1.0),
  python-oslosphinx (>= 2.2.0),
- python-oslotest (>= 1:1.1.0),
- python-posix-ipc,
- python-paramiko,
+ python-oslotest (>= 1:1.2.0),
+ python-osprofiler (>= 0.3.0),
+ python-paramiko (>= 1.13.0),
  python-paste,
  python-pastedeploy (>= 1.5.0),
+ python-posix-ipc,
  python-psycopg2,
- python-requests (>= 1.2.1),
+ python-requests (>= 2.2.0),
  python-routes (>= 1.12.3),
- python-saharaclient (>= 0.7.3),
+ python-saharaclient (>= 0.8.0),
  python-setuptools,
- python-stevedore (>= 1.0.0),
- python-six (>= 1.7.0),
+ python-six (>= 1.9.0),
  python-sphinx (>= 1.1.2),
- python-sqlalchemy (>= 0.8.4),
- python-swiftclient (>= 2.2.0),
+ python-sqlalchemy (>= 0.9.7),
+ python-stevedore (>= 1.1.0),
+ python-swiftclient (>= 1:2.2.0),
  python-testrepository (>= 0.0.18),
+ python-testresources (>= 0.2.4),
  python-testscenarios (>= 0.4),
- python-testtools (>= 0.9.34),
- python-troveclient (>= 1:1.0.4),
+ python-testtools (>= 0.9.36),
+ python-troveclient (>= 1:1.0.7),
  python-webob (>= 1.2.3),
  python-yaml (>= 3.1.0),
  subunit,
- testrepository (>= 0.0.18),
-Standards-Version: 3.9.4
-Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/heat/juno/files
-Vcs-Bzr: https://code.launchpad.net/~ubuntu-server-dev/heat/juno
+ testrepository (>= 0.0.18)
+Standards-Version: 3.9.6
+Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/heat/kilo/files
+Vcs-Bzr: https://code.launchpad.net/~ubuntu-server-dev/heat/kilo
 Homepage: http://wiki.openstack.org/Heat
 XS-Testsuite: autopkgtest
 
@@ -85,51 +94,57 @@
  python-alembic,
  python-babel (>= 1.3),
  python-boto (>= 2.4),
- python-ceilometerclient (>= 1.0.6),
- python-cinderclient (>= 1:1.0.7),
+ python-ceilometerclient (>= 1.0.13),
+ python-cinderclient (>= 1:1.1.0),
  python-coverage (>= 3.6),
  python-crypto (>= 2.6),
- python-eventlet (>= 0.13.0-1ubuntu3.1~),
+ python-eventlet (>= 0.16.1),
  python-extras,
- python-glanceclient (>= 1:0.14.0),
+ python-glanceclient (>= 1:0.15.0),
  python-greenlet (>= 0.3.2),
+ python-hacking (>= 0.9.4),
+ python-heatclient (>= 0.3.0),
  python-httplib2 (>= 0.7.5),
  python-iso8601 (>= 0.1.9),
- python-hacking (>= 0.8.0),
- python-heatclient (>= 0.2.9),
- python-keystoneclient (>= 1:0.10.0),
- python-keystonemiddleware (>= 1.0.0),
- python-kombu (>=2.4.8),
+ python-keystoneclient (>= 1:1.1.0),
+ python-keystonemiddleware (>= 1.5.0),
+ python-kombu (>=2.5.0),
  python-lockfile (>= 0.8),
  python-lxml (>= 2.3),
  python-memcache,
- python-migrate (>= 0.9.1),
+ python-migrate (>= 0.9.5),
  python-mysqldb,
  python-netaddr (>= 0.7.12),
- python-neutronclient (>= 1:2.3.6),
- python-novaclient (>= 1:2.18.0),
- python-oslo.config (>= 1:1.4.0),
- python-oslo.db (>= 1.0.0),
- python-oslo.i18n (>= 1.0.0),
- python-oslo.messaging (>= 1.4.0),
- python-oslo.serialization (>= 1.0.0),
- python-oslo.utils (>= 1.0.0),
+ python-neutronclient (>= 1:2.3.11),
+ python-novaclient (>= 1:2.22.0),
+ python-oslo-config (>= 1:1.9.3),
+ python-oslo-concurrency (>= 1.1.0),
+ python-oslo-context (>= 0.2.0),
+ python-oslo-db (>= 1.5.0),
+ python-oslo-i18n (>= 1.5.0),
+ python-oslo-log (>= 1.0.0),
+ python-oslo-messaging (>= 1.8.0),
+ python-oslo-middleware (>= 1.0.0),
+ python-oslo-serialization (>= 1.4.0),
+ python-oslo-utils (>= 1.4.0),
+ python-oslo-versionedobjects (>= 0.1.0),
  python-oslosphinx (>= 2.2.0),
+ python-osprofiler (>= 0.3.0),
  python-paste,
  python-pastedeploy (>= 1.5.0),
  python-pbr (>= 0.6),
  python-posix-ipc,
  python-psycopg2,
- python-requests (>= 1.2.1),
+ python-requests (>= 2.2.0),
  python-routes (>= 1.12.3),
- python-saharaclient (>= 0.7.3),
+ python-saharaclient (>= 0.8.0),
  python-setuptools,
- python-six (>= 1.7.0),
+ python-six (>= 1.9.0),
  python-sphinx (>= 1.1.2),
- python-sqlalchemy (>= 0.8.4),
- python-stevedore (>= 1.0.0),
- python-swiftclient (>= 2.2.0),
- python-troveclient (>= 1:1.0.4),
+ python-sqlalchemy (>= 0.9.7),
+ python-stevedore (>= 1.1.0),
+ python-swiftclient (>= 1:2.2.0),
+ python-troveclient (>= 1:1.0.7),
  python-webob (>= 1.2.3),
  python-yaml (>= 3.1.0),
  ${misc:Depends},
