## heat 2015.1.0

=== debian/changelog ===
heat (2015.1.0-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Thomas Goirand <zigo@debian.org>  Mon, 11 May 2015 09:33:23 +0200
