## heat 2015.1.2

=== debian/changelog ===
heat (2015.1.2-0ubuntu1) vivid; urgency=medium

  [ Chuck Short ]
  * Resynchronize with stable/kilo (a4aafba) (LP: #1506058):
    - [a4aafba] Only write to template files if template data changes
    - [9e6d7c2] Make ResourceDefinition round-trip stable to avoid extra writes
    - [2f14f1f] Set resource status to FAILED when engine is down
    - [3ab316b] Include nested stacks in reset_stack_status
    - [2bffb12] Don't metadata_update all resources for deployment signals
    - [0fa81c2] Don't create events when signals don't perform an action
    - [382d038] Stack updated error if creation fails
    - [d8bdac7] Copy resource data in _delete_backup_stack
    - [8a2dcfa] Signal SoftwareDeployment resource
    - [22a404d] Allow empty/None output values
    - [9258321] Unlimited option max_resources_per_stack
    - [0d95270] Try to get the version of cloud init via popen
    - [05b2cc4] To use id instead of name when making credentials from context
    - [aeba790] Inherit files when restore
    - [ebc7994] Set correct tenant id when python-client init
    - [5d084a2] Make sure UpdatePolicy is unset for Heat scaling group
    - [d76094c] Refactor and correct purge_deleted
    - [5f86d05] Eventlet green threads not released back to pool
    - [edd2f8f] Work around problems storing huge properties in events
    - [92d2ac9] Fix RouterInterface properties validation
    - [88a216c] Adds resource uuid, volume support to lifecycle scheduler hints
    - [e889d66] Don't raise exception when get nested stack
    - [7248ec4] The cirros image is now cirros-0.3.4
    - [e9e2f50] Fix validation failure for TemplateResource
    - [be01cf1] Use atomic_key for deployment metadata updates
    - [21331a5] Always commit after deployment db operations
    - [7454b7b] Revert failing tests and use v3 for ec2 tokens
    - [cb3734b] Fix stack-list after failed update
    - [2d5f981] Fix server creation with block_device_mapping_v2
    - [274f96b] Support time-delays in server.resize
    - [034c582] ASG scaling account for cooldown timestamp & in-progress
    - [4a8282c] Correct stack identity when delete nested
    - [03ac6b1] Do not specify version for contrib plugins
    - [a748424] Switch total_resources to use stack_count_total_resources
    - [7e73da5] Don't copy exception classes
    - [8f43aee] Not all exceptions from remote stacks are internal exceptions
    - [f34a474] Fix unsupported format character error for multipart mime
  * debian/patches/fix-requirements.patch: Refreshed

  [ Corey Byrant ]
  * d/rules: Prevent dh_python2 from guessing dependencies.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 15 Oct 2015 08:50:03 -0400

heat (2015.1.1-0ubuntu1) vivid; urgency=medium

  * Resynchronize with stable/kilo (536dc83) (LP: #1481008):
    - [9ca4a53] Use action in check_*_complete method
    - [ed52c86] Produce more meaningful exception messages in nested stacks
    - [e35450a] Fix failures related to the mock 1.1.0 release
    - [ac5e71f] test_resource for functional tests
    - [c0d1b91] Improve StackValidationFailed response in properties
    - [99f95f0] Count all nested stack resources with DB operations
    - [5703a2f] Add domain when list users in heat-keystone-setup-domain
    - [18742d1] Heat could not create samples with Ceilometer
    - [a55f827] Missing template file on update fails silently
    - [1b5ff07] Failed to import test module in test
    - [b0be013] Add env storing for loaded environments
    - [a3bc0f6] Fix heat-db-setup error on rhel7.1
    - [3a7e7cb] Find root stack ID with database operations
    - [38b47eb] Continue to check if nova task is in progress
    - [8919a34] Catch exceptions in service status report
    - [754851d] Fix block_device_mapping property validation when using get_attr
    - [28a0639] Do not verify requirements on extension loading
    - [7148a96] Backup new resource as soon as possible
    - [da37773] Save updated-in-place resources to backup stack
    - [be9af28] Report status when engine start
    - [d2e70e4] Use snapshot's environment when stack restore
    - [612d806] Fix integration tests for tox>2.0
    - [ed2bed2] Fix property validation for TemplateResource during update
    - [a5297fe] Get rid of circular references in Resource and Function
    - [c7b1524] Sync oslo incubator
    - [06a5c0e] Generate stack events for stack state transitions
    - [aa4b90d] Update template paths for environment-mapped TemplateResources
    - [2a6378c] Fix TypeError exception during cancel stack update
    - [536dc83] Use SHA256 instead of SHA1 for resource signature
  * d/p/fix-requirements.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 03 Aug 2015 14:29:26 -0400
