## heat translator-3.3.0

=== requirements.txt ===
# Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so no guarantee of having them all correct. If
# you find any incorrect lower bounds, let us know or propose a fix.

pbr>=6.0.0 # Apache-2.0
cliff>=4.9.1 # Apache-2.0
PyYAML>=3.13 # MIT
python-dateutil>=2.9.0 # BSD
tosca-parser>=2.12.0 # Apache-2.0
keystoneauth1>=5.11.0 # Apache-2.0
python-novaclient>=18.9.0 # Apache-2.0
python-heatclient>=4.2.0 # Apache-2.0
python-glanceclient>=4.8.0 # Apache-2.0
requests>=2.32.2 # Apache-2.0

oslo.log>=7.1.0 # Apache-2.0
